### Method

# Ide PersistentMap load_file

#### Declaration

    gboolean
    ide_persistent_map_load_file (
      IdePersistentMap* self,
      GFile* file,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.